Currie vs GHA RFC · Premiership scozzese
Premiership scozzese · 2025-26Finale

61–43

Cronaca
Currie supera GHA RFC 61-43 a Currie (Malleny Park) sabato 18 ottobre 2025 (Premiership scozzese, 8ª giornata).
GHA RFC incassa la 3ª sconfitta di fila.
Testo generato automaticamente dai dati della partita; aggiornato con i risultati.
Precedenti
5
Vittorie Currie (71%)
0
Pareggi (0%)
2
Vittorie GHA RFC (29%)
Ultimi 7 confronti, dal settembre 2021
Vittoria più larga di Currie
45–0
18 set 2021
Vittoria più larga di GHA RFC
29–24
31 ott 2026
Ultimi 5 confronti
- 31 ott 2026 · Premiership scozzeseCurrie24GHA RFC2931 ott 2026Currie24–29GHA RFCPremiership scozzese
- 31 gen 2026 · Premiership scozzeseGHA RFC29Currie2431 gen 2026GHA RFC29–24CurriePremiership scozzese
- 18 ott 2025 · Premiership scozzeseCurrie61GHA RFC4318 ott 2025Currie61–43GHA RFCPremiership scozzese
- 28 gen 2023 · Premiership scozzeseGHA RFC22Currie3528 gen 2023GHA RFC22–35CurriePremiership scozzese
- 24 set 2022 · Premiership scozzeseCurrie43GHA RFC4024 set 2022Currie43–40GHA RFCPremiership scozzese